/
Ingest survey response
Security
bearerAuth and apiKeyAuth
- Production Serverhttps://api3.sprinklr.com/prod/api/v3/surveyResponse
- Mock serverhttps://developer.sprinklr.com/_mock/apis/sprinklr-v3/surveyResponse
curl -i -X POST \
https://api3.sprinklr.com/prod/api/v3/surveyResponse \
-H 'Authorization: Bearer <YOUR_Token_HERE>' \
-H 'Content-Type: application/json' \
-H 'Key: YOUR_API_KEY_HERE' \
-d '{
"surveyId": "string",
"questionResponses": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"responseTime": 0,
"tags": [
"string"
],
"distributionChannel": "string",
"responseCustomFields": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"profileCustomFields": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"transactionCustomFields": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"responderSnId": "string",
"responderSnType": "string",
"surveyLanguage": "string",
"elapsedTime": 0
}'Response
{ "data": {}, "errors": [ { … } ], "metadata": {} }